Bug 1190426 - Review Request: golang-github-prometheus-prometheus - The Prometheus monitoring system and time series database
Summary: Review Request: golang-github-prometheus-prometheus - The Prometheus monitori...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1190418
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-07 23:40 UTC by Jan Chaloupka
Modified: 2015-03-08 22:39 UTC (History)
1 user (show)

Fixed In Version: golang-github-prometheus-prometheus-0-0.1.git4e6a807.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-25 13:24:28 UTC
Type: ---
lsm5: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jan Chaloupka 2015-02-07 23:40:52 UTC
Spec URL: https://jchaloup.fedorapeople.org/reviews/golang-github-prometheus-prometheus/golang-github-prometheus-prometheus.spec

SRPM URL: https://jchaloup.fedorapeople.org/reviews/golang-github-prometheus-prometheus/golang-github-prometheus-prometheus-0-0.1.git4e6a807.fc20.src.rpm

Description: The Prometheus monitoring system and time series database

Fedora Account System Username: jchaloup

$ rpmlint golang-github-prometheus-prometheus-0-0.1.git4e6a807.fc20.src.rpm golang-github-prometheus-prometheus-devel-0-0.1.git4e6a807.fc20.noarch.rpm golang-github-prometheus-prometheus.spec
golang-github-prometheus-prometheus.src:128: W: macro-in-comment %{buildroot}
golang-github-prometheus-prometheus.src:128: W: macro-in-comment %{gopath}
golang-github-prometheus-prometheus.src:128: W: macro-in-comment %{gopath}
golang-github-prometheus-prometheus.src:128: W: macro-in-comment %{import_path}
golang-github-prometheus-prometheus.src:129: W: macro-in-comment %{buildroot}
golang-github-prometheus-prometheus.src:129: W: macro-in-comment %{gopath}
golang-github-prometheus-prometheus.src:129: W: macro-in-comment %{gopath}
golang-github-prometheus-prometheus.src:129: W: macro-in-comment %{import_path}
golang-github-prometheus-prometheus.src:130: W: macro-in-comment %{buildroot}
golang-github-prometheus-prometheus.src:130: W: macro-in-comment %{gopath}
golang-github-prometheus-prometheus.src:130: W: macro-in-comment %{gopath}
golang-github-prometheus-prometheus.src:130: W: macro-in-comment %{import_path}
golang-github-prometheus-prometheus.src:131: W: macro-in-comment %{buildroot}
golang-github-prometheus-prometheus.src:131: W: macro-in-comment %{gopath}
golang-github-prometheus-prometheus.src:131: W: macro-in-comment %{gopath}
golang-github-prometheus-prometheus.src:131: W: macro-in-comment %{import_path}
golang-github-prometheus-prometheus.src:132: W: macro-in-comment %{buildroot}
golang-github-prometheus-prometheus.src:132: W: macro-in-comment %{gopath}
golang-github-prometheus-prometheus.src:132: W: macro-in-comment %{gopath}
golang-github-prometheus-prometheus.src:132: W: macro-in-comment %{import_path}
golang-github-prometheus-prometheus.src:133: W: macro-in-comment %{buildroot}
golang-github-prometheus-prometheus.src:133: W: macro-in-comment %{gopath}
golang-github-prometheus-prometheus.src:133: W: macro-in-comment %{gopath}
golang-github-prometheus-prometheus.src:133: W: macro-in-comment %{import_path}
golang-github-prometheus-prometheus.src:134: W: macro-in-comment %{buildroot}
golang-github-prometheus-prometheus.src:134: W: macro-in-comment %{gopath}
golang-github-prometheus-prometheus.src:134: W: macro-in-comment %{gopath}
golang-github-prometheus-prometheus.src:134: W: macro-in-comment %{import_path}
golang-github-prometheus-prometheus.src:135: W: macro-in-comment %{buildroot}
golang-github-prometheus-prometheus.src:135: W: macro-in-comment %{gopath}
golang-github-prometheus-prometheus.src:135: W: macro-in-comment %{gopath}
golang-github-prometheus-prometheus.src:135: W: macro-in-comment %{import_path}
golang-github-prometheus-prometheus.src:136: W: macro-in-comment %{buildroot}
golang-github-prometheus-prometheus.src:136: W: macro-in-comment %{gopath}
golang-github-prometheus-prometheus.src:136: W: macro-in-comment %{gopath}
golang-github-prometheus-prometheus.src:136: W: macro-in-comment %{import_path}
golang-github-prometheus-prometheus.src:137: W: macro-in-comment %{buildroot}
golang-github-prometheus-prometheus.src:137: W: macro-in-comment %{gopath}
golang-github-prometheus-prometheus.src:137: W: macro-in-comment %{gopath}
golang-github-prometheus-prometheus.src:137: W: macro-in-comment %{import_path}
golang-github-prometheus-prometheus.src:138: W: macro-in-comment %{buildroot}
golang-github-prometheus-prometheus.src:138: W: macro-in-comment %{gopath}
golang-github-prometheus-prometheus.src:138: W: macro-in-comment %{gopath}
golang-github-prometheus-prometheus.src:138: W: macro-in-comment %{import_path}
golang-github-prometheus-prometheus.src:139: W: macro-in-comment %{buildroot}
golang-github-prometheus-prometheus.src:139: W: macro-in-comment %{gopath}
golang-github-prometheus-prometheus.src:139: W: macro-in-comment %{gopath}
golang-github-prometheus-prometheus.src:139: W: macro-in-comment %{import_path}
golang-github-prometheus-prometheus.src:140: W: macro-in-comment %{buildroot}
golang-github-prometheus-prometheus.src:140: W: macro-in-comment %{gopath}
golang-github-prometheus-prometheus.src:140: W: macro-in-comment %{gopath}
golang-github-prometheus-prometheus.src:140: W: macro-in-comment %{import_path}
golang-github-prometheus-prometheus-devel.noarch: E: zero-length /usr/share/gocode/src/github.com/prometheus/prometheus/rules/fixtures/empty.rules
golang-github-prometheus-prometheus-devel.noarch: E: zero-length /usr/share/gocode/src/github.com/prometheus/prometheus/config/fixtures/empty.conf.input
golang-github-prometheus-prometheus.spec:128: W: macro-in-comment %{buildroot}
golang-github-prometheus-prometheus.spec:128: W: macro-in-comment %{gopath}
golang-github-prometheus-prometheus.spec:128: W: macro-in-comment %{gopath}
golang-github-prometheus-prometheus.spec:128: W: macro-in-comment %{import_path}
golang-github-prometheus-prometheus.spec:129: W: macro-in-comment %{buildroot}
golang-github-prometheus-prometheus.spec:129: W: macro-in-comment %{gopath}
golang-github-prometheus-prometheus.spec:129: W: macro-in-comment %{gopath}
golang-github-prometheus-prometheus.spec:129: W: macro-in-comment %{import_path}
golang-github-prometheus-prometheus.spec:130: W: macro-in-comment %{buildroot}
golang-github-prometheus-prometheus.spec:130: W: macro-in-comment %{gopath}
golang-github-prometheus-prometheus.spec:130: W: macro-in-comment %{gopath}
golang-github-prometheus-prometheus.spec:130: W: macro-in-comment %{import_path}
golang-github-prometheus-prometheus.spec:131: W: macro-in-comment %{buildroot}
golang-github-prometheus-prometheus.spec:131: W: macro-in-comment %{gopath}
golang-github-prometheus-prometheus.spec:131: W: macro-in-comment %{gopath}
golang-github-prometheus-prometheus.spec:131: W: macro-in-comment %{import_path}
golang-github-prometheus-prometheus.spec:132: W: macro-in-comment %{buildroot}
golang-github-prometheus-prometheus.spec:132: W: macro-in-comment %{gopath}
golang-github-prometheus-prometheus.spec:132: W: macro-in-comment %{gopath}
golang-github-prometheus-prometheus.spec:132: W: macro-in-comment %{import_path}
golang-github-prometheus-prometheus.spec:133: W: macro-in-comment %{buildroot}
golang-github-prometheus-prometheus.spec:133: W: macro-in-comment %{gopath}
golang-github-prometheus-prometheus.spec:133: W: macro-in-comment %{gopath}
golang-github-prometheus-prometheus.spec:133: W: macro-in-comment %{import_path}
golang-github-prometheus-prometheus.spec:134: W: macro-in-comment %{buildroot}
golang-github-prometheus-prometheus.spec:134: W: macro-in-comment %{gopath}
golang-github-prometheus-prometheus.spec:134: W: macro-in-comment %{gopath}
golang-github-prometheus-prometheus.spec:134: W: macro-in-comment %{import_path}
golang-github-prometheus-prometheus.spec:135: W: macro-in-comment %{buildroot}
golang-github-prometheus-prometheus.spec:135: W: macro-in-comment %{gopath}
golang-github-prometheus-prometheus.spec:135: W: macro-in-comment %{gopath}
golang-github-prometheus-prometheus.spec:135: W: macro-in-comment %{import_path}
golang-github-prometheus-prometheus.spec:136: W: macro-in-comment %{buildroot}
golang-github-prometheus-prometheus.spec:136: W: macro-in-comment %{gopath}
golang-github-prometheus-prometheus.spec:136: W: macro-in-comment %{gopath}
golang-github-prometheus-prometheus.spec:136: W: macro-in-comment %{import_path}
golang-github-prometheus-prometheus.spec:137: W: macro-in-comment %{buildroot}
golang-github-prometheus-prometheus.spec:137: W: macro-in-comment %{gopath}
golang-github-prometheus-prometheus.spec:137: W: macro-in-comment %{gopath}
golang-github-prometheus-prometheus.spec:137: W: macro-in-comment %{import_path}
golang-github-prometheus-prometheus.spec:138: W: macro-in-comment %{buildroot}
golang-github-prometheus-prometheus.spec:138: W: macro-in-comment %{gopath}
golang-github-prometheus-prometheus.spec:138: W: macro-in-comment %{gopath}
golang-github-prometheus-prometheus.spec:138: W: macro-in-comment %{import_path}
golang-github-prometheus-prometheus.spec:139: W: macro-in-comment %{buildroot}
golang-github-prometheus-prometheus.spec:139: W: macro-in-comment %{gopath}
golang-github-prometheus-prometheus.spec:139: W: macro-in-comment %{gopath}
golang-github-prometheus-prometheus.spec:139: W: macro-in-comment %{import_path}
golang-github-prometheus-prometheus.spec:140: W: macro-in-comment %{buildroot}
golang-github-prometheus-prometheus.spec:140: W: macro-in-comment %{gopath}
golang-github-prometheus-prometheus.spec:140: W: macro-in-comment %{gopath}
golang-github-prometheus-prometheus.spec:140: W: macro-in-comment %{import_path}
2 packages and 1 specfiles checked; 2 errors, 104 warnings.

Upstream: https://github.com/prometheus/prometheus

Note: depends on github.com/syndtr/goleveldb, cyclic dependency on github.com/prometheus/client_golang. This source can provide binaries. Right now I am providing only devel source codes. After all deps are packaged, will apply two-phase update of the packages to handle cyclic deps.

Comment 1 Jan Chaloupka 2015-02-07 23:41:40 UTC
Warnings can be ignored, just commented go test commands. Will fix it in the two-phase process.

Comment 2 Lokesh Mandvekar 2015-02-12 17:33:22 UTC
- spec file conforms to golang draft
- license correct and valid
- only sources installed for now

package approved

Comment 3 Jan Chaloupka 2015-02-12 23:39:28 UTC
New Package SCM Request
=======================
Package Name: golang-github-prometheus-prometheus
Short Description: The Prometheus monitoring system and time series database
Upstream URL: https://github.com/prometheus/prometheus
Owners: jchaloup lsm5
Branches: f22 f21 f20 el6
InitialCC: golang-sig

Comment 4 Gwyn Ciesla 2015-02-13 13:38:46 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2015-02-16 15:54:10 UTC
golang-github-prometheus-prometheus-0-0.1.git4e6a807.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-github-prometheus-prometheus-0-0.1.git4e6a807.fc20

Comment 6 Fedora Update System 2015-02-16 15:54:26 UTC
golang-github-prometheus-prometheus-0-0.1.git4e6a807.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-github-prometheus-prometheus-0-0.1.git4e6a807.fc21

Comment 7 Fedora Update System 2015-02-16 15:55:07 UTC
golang-github-prometheus-prometheus-0-0.1.git4e6a807.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-prometheus-prometheus-0-0.1.git4e6a807.el6

Comment 8 Fedora Update System 2015-02-17 08:09:31 UTC
golang-github-prometheus-prometheus-0-0.1.git4e6a807.fc20 has been pushed to the Fedora 20 testing repository.

Comment 9 Fedora Update System 2015-02-25 13:24:28 UTC
golang-github-prometheus-prometheus-0-0.1.git4e6a807.fc20 has been pushed to the Fedora 20 stable repository.

Comment 10 Fedora Update System 2015-02-25 13:26:41 UTC
golang-github-prometheus-prometheus-0-0.1.git4e6a807.fc21 has been pushed to the Fedora 21 stable repository.

Comment 11 Fedora Update System 2015-03-08 22:39:34 UTC
golang-github-prometheus-prometheus-0-0.1.git4e6a807.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.